> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List SKUs in Product

> Retrieve all SKUs for a given product.



## OpenAPI

````yaml /openapi/products.json get /v1/products/{productId}/skus
openapi: 3.0.1
info:
  title: Voucherify API - Products
  version: v2018-08-01
  description: >-
    Voucherify promotion engine REST API. Please see
    https://docs.voucherify.io/docs for more details.
  contact:
    name: Voucherify Team
    url: https://www.voucherify.io/contact-support
    email: support@voucherify.io
  termsOfService: https://www.voucherify.io/legal/subscription-agreement
  license:
    name: MIT
    url: https://github.com/voucherifyio/voucherify-js-sdk/blob/main/LICENSE
servers:
  - url: https://{cluster}.voucherify.io
    description: Base URL
    variables:
      cluster:
        default: api
        enum:
          - api
          - us1.api
          - as1.api
          - download
          - us1.download
          - as1.download
security: []
paths:
  /v1/products/{productId}/skus:
    parameters:
      - schema:
          $ref: '#/components/schemas/ParameterProductId'
        name: productId
        in: path
        description: >-
          A Voucherify [product](/api-reference/products/get-product) ID or
          product source ID.
        required: true
    get:
      tags:
        - Products
      summary: List SKUs in Product
      description: Retrieve all SKUs for a given product.
      operationId: list-SKUs-in-product
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/order'
        - $ref: '#/components/parameters/start_date'
        - $ref: '#/components/parameters/end_date'
      responses:
        '200':
          description: Returns a dictionary of SKUs.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductsSkusListResponseBody'
              examples:
                Example:
                  value:
                    object: list
                    data_ref: skus
                    skus:
                      - id: sku_0b1621b2f25248b79c
                        source_id: sku_source_id_1
                        product_id: prod_0b15f6b9f650c16990
                        sku: Extra Small Blue Shirt
                        price: 1300
                        currency: USD
                        attributes:
                          size: XS
                          color: blue
                          ranking: 1
                        image_url: ''
                        metadata: {}
                        created_at: '2022-05-17T10:36:30.057Z'
                        updated_at: '2022-07-01T05:34:16.822Z'
                        object: sku
                      - id: sku_0b1621b3181248b79d
                        source_id: sku_source_id_3
                        product_id: prod_0b15f6b9f650c16990
                        sku: Medium Yellow Shirt
                        price: 1450
                        currency: USD
                        attributes:
                          size: M
                          color: yellow
                          ranking: 3
                        image_url: ''
                        metadata: {}
                        created_at: '2022-05-17T10:36:30.180Z'
                        updated_at: '2022-07-01T05:34:16.842Z'
                        object: sku
                      - id: sku_0b1621b3199248b79e
                        source_id: sku_source_id_2
                        product_id: prod_0b15f6b9f650c16990
                        sku: Small Red Shirt
                        price: 1400
                        currency: USD
                        attributes:
                          size: S
                          color: red
                          ranking: 2
                        image_url: ''
                        metadata: {}
                        created_at: '2022-05-17T10:36:30.183Z'
                        updated_at: '2022-07-01T05:34:16.927Z'
                        object: sku
                      - id: sku_0b1621b319d248b79f
                        source_id: sku_source_id_4
                        product_id: prod_0b15f6b9f650c16990
                        sku: Large Pink Shirt -
                        price: 1700
                        currency: USD
                        attributes:
                          size: L
                          color: pink
                          ranking: 4
                        image_url: ''
                        metadata: {}
                        created_at: '2022-05-17T10:36:30.187Z'
                        updated_at: '2022-07-05T08:47:50.680Z'
                        object: sku
                    total: 4
        '404':
          description: >-
            Returns an error when requesting a product that has been deleted or
            cannot be found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Example:
                  value:
                    code: 404
                    key: not_found
                    message: Resource not found
                    details: Cannot find product with id prod_0b15f6b9f650c6990
                    request_id: v-0bae223075878da708
                    resource_id: prod_0b15f6b9f650c6990
                    resource_type: product
      security:
        - X-App-Id: []
          X-App-Token: []
        - X-Voucherify-OAuth:
            - api
            - products
components:
  schemas:
    ParameterProductId:
      type: string
      example: prod_3ttSkdxGuAfcv3
    ProductsSkusListResponseBody:
      type: object
      title: Products Skus List Response Body
      description: Response body schema for **GET** `v1/products/{productId}/SKUs`.
      allOf:
        - $ref: '#/components/schemas/SkusList'
    Error:
      title: Error Object
      type: object
      description: Error details
      properties:
        code:
          type: integer
          description: Error's HTTP status code.
        key:
          type: string
          description: Short string describing the kind of error which occurred.
        message:
          type: string
          description: A human-readable message providing a short description of the error.
        details:
          type: string
          description: A human-readable message providing more details about the error.
        request_id:
          type: string
          example: v-0a885062c80375740f
          description: >-
            This ID is useful when troubleshooting and/or finding the root cause
            of an error response by our support team.
        resource_id:
          type: string
          description: >-
            Unique resource ID that can be used in another endpoint to get more
            details.
          example: rf_0c5d710a87c8a31f86
        resource_type:
          type: string
          description: The resource type.
          example: voucher
        error:
          type: object
          description: Includes additional information about the error.
          properties:
            message:
              type: string
              description: The message configured by the user in a validation rule.
      required:
        - code
        - message
    ParameterLimit:
      type: integer
      minimum: 1
      maximum: 100
    ParameterPage:
      type: integer
      minimum: 1
      maximum: 100
    ParameterOrder:
      type: string
      enum:
        - created_at
        - '-created_at'
        - updated_at
        - '-updated_at'
        - type
        - '-type'
        - code
        - '-code'
        - campaign
        - '-campaign'
        - category
        - '-category'
    ParameterDate:
      type: string
      example: '2023-12-22T10:13:06.487Z'
      format: date-time
    SkusList:
      type: object
      description: Contains information about SKUs.
      title: SKUs List
      properties:
        object:
          type: string
          description: >-
            The type of the object represented by JSON. This object stores
            information about SKUs.
          default: list
        data_ref:
          type: string
          description: >-
            Identifies the name of the JSON property that contains the array of
            SKUs.
          default: data
        skus:
          type: array
          description: A dictionary that contains an array of SKUs.
          items:
            $ref: '#/components/schemas/Sku'
        total:
          type: integer
          description: Total number of SKUs in the product.
      required:
        - object
        - data_ref
        - skus
        - total
    Sku:
      title: SKU Object
      type: object
      description: This is an object representing a product SKU.
      properties:
        id:
          type: string
          example: sku_0b1621b319d248b79f
          description: >-
            A unique identifier that represents the SKU and is assigned by
            Voucherify.
        source_id:
          type: string
          nullable: true
          example: sku_source_id_4
          description: A unique SKU identifier from your inventory system.
        product_id:
          type: string
          example: prod_0b15f6b9f650c16990
          description: The parent product's unique ID.
        sku:
          type: string
          nullable: true
          example: Large Pink Shirt
          description: Unique user-defined SKU name.
        price:
          type: integer
          nullable: true
          description: >-
            Unit price. It is represented by a value multiplied by 100 to
            accurately reflect 2 decimal places, such as `$100.00` being
            expressed as `10000`.
        currency:
          type: string
          nullable: true
          description: SKU price currency.
          example: USD
        attributes:
          type: object
          description: >-
            The attributes object stores values for all custom attributes
            inherited by the SKU from the parent product. A set of key/value
            pairs that are attached to a SKU object and are unique to each SKU
            within a product family.
        image_url:
          type: string
          nullable: true
          description: >-
            The HTTPS URL pointing to the .png or .jpg file that will be used to
            render the SKU image.
        metadata:
          type: object
          description: >-
            The metadata object stores all custom attributes assigned to the
            SKU. A set of key/value pairs that you can attach to a SKU object.
            It can be useful for storing additional information about the SKU in
            a structured format. It can be used to create product collections.
        created_at:
          type: string
          example: '2022-05-17T10:36:30.187Z'
          description: >-
            Timestamp representing the date and time when the SKU was created.
            The value is shown in the ISO 8601 format.
          format: date-time
        updated_at:
          type: string
          nullable: true
          example: '2022-05-17T10:55:09.137Z'
          description: >-
            Timestamp representing the date and time when the SKU was updated.
            The value is shown in the ISO 8601 format.
          format: date-time
        object:
          type: string
          default: sku
          description: >-
            The type of the object represented by JSON. This object stores
            information about the `SKU`.
          enum:
            - sku
      required:
        - id
        - source_id
        - product_id
        - sku
        - price
        - attributes
        - metadata
        - image_url
        - created_at
        - updated_at
        - object
  parameters:
    limit:
      name: limit
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/ParameterLimit'
      description: >-
        Limits the number of objects to be returned. The limit can range between
        1 and 100 items. If no limit is set, it returns 10 items.
    page:
      name: page
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/ParameterPage'
      description: Which page of results to return. The lowest value is `1`.
    order:
      name: order
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/ParameterOrder'
      description: >-
        Sorts the results using one of the filtering options, where the dash `-`
        preceding a sorting option means sorting in a descending order.
    start_date:
      name: start_date
      in: query
      schema:
        $ref: '#/components/schemas/ParameterDate'
      description: >-
        Timestamp representing the date and time which results must end on.
        Represented in ISO 8601 format.
    end_date:
      name: end_date
      in: query
      schema:
        $ref: '#/components/schemas/ParameterDate'
      description: >-
        Timestamp representing the date and time which results must end on.
        Represented in ISO 8601 format.
  securitySchemes:
    X-App-Id:
      type: apiKey
      name: X-App-Id
      in: header
    X-App-Token:
      type: apiKey
      name: X-App-Token
      in: header
    X-Voucherify-OAuth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://api.voucherify.io/v1/oauth/token
          scopes:
            api: Gives access to whole server-side API.
            vouchers: >-
              Gives access to all endpoints and methods starting with
              `v1/vouchers`.
            client_api: Gives access to whole client-side API.
            client_vouchers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/vouchers`.
            promotions: >-
              Gives access to all endpoints and methods starting with
              `/v1/promotions`.
            client_promotions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/promotions`
            campaigns: >-
              Gives access to all endpoints and methods starting with
              `v1/campaigns`.
            client_publish: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/publish`.
            exports: >-
              Gives access to all endpoints and methods starting with
              `/v1/exports`.
            publications: >-
              Gives access to all endpoints and methods starting with
              `/v1/publications`.
            client_validate: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validate`.
            validations: >-
              Gives access to all endpoints and methods starting with
              `/v1/validations`.
            client_validations: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validations`.
            qualifications: >-
              Gives access to all endpoints and methods starting with
              `/v1/qualifications`.
            client_qualifications: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/qualifications`.
            client_redeem: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redeem
            redemptions: >-
              Gives access to all endpoints and methods starting with
              `/v1/redemptions`.
            client_redemptions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redemptions`
            customers: >-
              Gives access to all endpoints and methods starting with
              `/v1/customers`.
            client_customers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/customers`.
            orders: >-
              Gives access to all endpoints and methods starting with
              `/v1/orders`.
            products: >-
              Gives access to all endpoints and methods starting with
              `/v1/products`.
            skus: >-
              Gives access to all endpoints and methods starting with
              `/v1/SKUs`.
            validation-rules: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules`.
            validation-rules-assignments: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules-assignments
            segments: >-
              Gives access to all endpoints and methods starting with
              `/v1/segments`.
            events: >-
              Gives access to all endpoints and methods starting with
              `/v1/events`.
            client_events: >-
              Gives access to all endpoints and methods starting with
              `client/v1/events`.
            rewards: >-
              Gives access to all endpoints and methods starting with
              `/v1/rewards`.
            assets: >-
              Gives access to all endpoints and methods starting with
              `/v1/assets`.
            task-results: >-
              Gives access to all endpoints and methods starting with
              `/v1/task-results`.
            loyalties: >-
              Gives access to all endpoints and methods starting with
              `/v1/loyalties`.
            client_consents: >-
              Gives access to all endpoints and methods starting with
              `client/v1/consents`.
            consents: >-
              Gives access to all endpoints and methods starting with
              `/v1/consents`.
            async-actions: >-
              Gives access to all endpoints and methods starting with
              `/v1/async-actions`.
            product-collections: >-
              Gives access to all endpoints and methods starting with
              `/v1/product-collections`.
            categories: >-
              Gives access to all endpoints and methods starting with
              `/v1/categories`.
            metadata-schemas: >-
              Gives access to all endpoints and methods starting with
              `/v1/metadata-schemas`.
            locations: >-
              Gives access to all endpoints and methods starting with
              `/v1/locations`.
            referrals: >-
              Gives access to all endpoints and methods starting with
              `/v1/referrals`.
            trash-bin: >-
              Gives access to all endpoints and methods starting with
              `/v1/trash-bin`.
            templates: >-
              Gives access to all endpoints and methods starting with
              `/v1/templates`.

````